using System;

class Program
{
    static int Razbij(int manji, int veci)
    {
        int step = 1, broj = 0, veci1 = veci;
        while (manji > 0)
        {
            if(manji % 10 > veci % 10)
            {
                broj += manji % 10 * step;
                step *= 10;
            }
            else if(manji % 10 < veci % 10)
            {
                broj += veci % 10 * step;
                step *= 10;
            }
            else
            {
                broj += manji % 10  * step;
                step *= 10;
                broj += manji % 10 * step;
                step *= 10;
            }
            manji /= 10;
            veci /= 10;
        }
        int za_razbijeni = veci* step;
        int razbijeni = za_razbijeni + broj;
        return razbijeni;
    }
    static void Main()
    {
        int x = int.Parse(Console.ReadLine());
        int y = int.Parse(Console.ReadLine());

        if(x > y)
        {
            Console.WriteLine(Razbij(y, x));
        }
        else
        {
            Console.WriteLine(Razbij(x, y));
        }
    }
}